--- a/include/ldap.h
+++ b/include/ldap.h
@@ -2041,6 +2041,10 @@ LDAP_F( int )
 ldap_is_ldapi_url LDAP_P((
 	LDAP_CONST char *url ));
 
+LDAP_F( int )
+ldap_is_ldapc_url LDAP_P((
+	LDAP_CONST char *url ));
+
 LDAP_F( int )
 ldap_url_parse LDAP_P((
 	LDAP_CONST char *url,
--- a/include/ldap_int_thread.h
+++ b/include/ldap_int_thread.h
@@ -33,7 +33,7 @@ LDAP_END_DECL
  * definitions for POSIX Threads  *
  *                                *
  **********************************/
-
+#define __USE_UNIX98
 #include <pthread.h>
 #ifdef HAVE_SCHED_H
 #include <sched.h>
--- a/libraries/libldap/tls2.c
+++ b/libraries/libldap/tls2.c
@@ -76,6 +76,8 @@ static oid_name oids[] = {
 
 #ifdef HAVE_TLS
 
+int ldap_pvt_tls_check_hostname( LDAP *ld, void *s, const char *name_in );
+
 void
 ldap_pvt_tls_ctx_free ( void *c )
 {
